package com.tofly.xrtygis.custom.mapper;

import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

public interface WaterMakingAnalysisMapper {



    /**
     * 今年每个月份产销差
     *
     * @return list
     */
    List<Map> monthNrw(@Param("year") String year);

    /**
     * 年预算产销差
     *
     * @return double
     */
    Double yearNrwPlan(@Param("year") String year);

    /**
     * 年实际产销差
     *
     * @return double
     */
    Double yearNrw(@Param("year") String year);


    /**
     * 每月漏损率
     *
     * @return list
     */
    List<Map> monthLeakage(@Param("year") String year);

    /**
     * 年漏损率
     *
     * @return double
     */
    Double yearLeakage(@Param("year") String year);

    /**
     * 年预算漏损率
     *
     * @return double
     */
    Double yearLeakagePlan(@Param("year") String year);


    /**
     * 本年每月售水量供水量
     *
     * @return list
     */
    List<Map> monSupSellWater(@Param("year") String year);

    /**
     * 本年每月计划售水量供水量
     *
     * @return list
     */
    List<Map> monSupSellWaterPlan(@Param("year") String year);

    /**
     * 本年售水量供水量
     *
     * @return list
     */
    List<Map> yearSupSellWater(@Param("year") String year);


    /**
     * 本年预算售水量供水量
     *
     * @return list
     */
    List<Map> yearSupSellWaterPlan(@Param("year") String year);

}
